import request from '@/utils/request'

// 获取课程分类
export function loadCourseCate() {
	return request({
		'url': '/course/category',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}
// 获取课程列表
export function loadCourseList(data) {
	return request({
		'url': '/course/list',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

// 获取课程详情
export function loadCourseDetail(id) {
	return request({
		'url': `/course/${id}`,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 获取评论列表
export function loadCommentList(id) {
	return request({
		'url': '/course/comment/list?courseId='+id,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 评论课程
export function sendComment(data) {
	return request({
		'url': '/course/comment/send',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

// 购买培训课程
export function payCourse(data) {
	return request({
		'url': '/course/payment',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

// 收藏课程
export function courseFavi(data) {
	return request({
		'url': '/course/favi',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}
// 取消收藏课程
export function courseCancelFavi(data) {
	return request({
		'url': '/course/cancelFavi',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

// 获取已观看记录
export function loadCourseHistory(data) {
	return request({
		'url': '/course/history',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

// 获取学分明细列表
export function loadCredit(){
	return request({
		url: '/course/creditList',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

//报名
export function regCourse(id){
	return request({
		url: `/course/register/${id}`,
		headers: {
			isToken: true
		},
		'method': 'post'
	})
}

// 年度学分详情
export function loadCreditDatial(data){
	return request({
		'url': '/course/creditDetail',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}


//培训实况
export function loadRecordList(data){
	return request({
		'url': '/live/list',
		headers: {
			isToken: true
		},
		'method': 'post',
		data: data
	})
}

export function loadRecordDetailById(id){
	return request({
		'url': '/live/'+ id,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}